<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('teachers', function (Blueprint $table) {
      $table->id();
      $table->string('name')->nullable();

      $table->string('firstName')->nullable();
      $table->string('lastName')->nullable();
      $table->string('dateOfBirth')->nullable();
      $table->string('gender')->nullable();

      $table->string('email')->unique();
      $table->string('user_id')->unique();

      $table->string('subject_id')->nullable();
      $table->string('contact')->nullable();
      $table->string('skills')->nullable();

      // NOTE: null = no avatar defined
      $table->string('avatar')->nullable();

      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('teachers');
  }
};
